{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "FLO_KEY"; 
            externalType = NUMBER; 
            name = floKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "RFS_QUOTITE"; 
            externalType = NUMBER; 
            name = rfsQuotite; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "SIL_KEY"; 
            externalType = NUMBER; 
            name = silKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (floKey, rfsQuotite, silKey); 
    className = "org.cocktail.mangue.modele.mangue.lolf.EORepartSilland"; 
    classProperties = (rfsQuotite, dCreation, dModification, toFctSilland, toFicheLolf); 
    externalName = "MANGUE.REPART_FLO_SILLAND"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (toFctSilland, toFicheLolf, rfsQuotite); }; 
    name = RepartSilland; 
    primaryKeyAttributes = (floKey, silKey); 
    relationships = (
        {
            destination = FctSilland; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = silKey; sourceAttribute = silKey; }); 
            name = toFctSilland; 
        }, 
        {
            destination = FicheLolf; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = floKey; sourceAttribute = floKey; }); 
            name = toFicheLolf; 
        }
    ); 
}
